wok rev 21016

updated gummi (0.6.1 -> 0.6.62.8.7)
author Hans-G?nter Theisgen
date Sun Mar 10 08:22:23 2019 +0100 (16 months ago)
parents 9a3e467ad16b
children 2bf06a81a33e
files gummi/receipt
line diff
     1.1 --- a/gummi/receipt	Sun Mar 10 08:09:36 2019 +0100
     1.2 +++ b/gummi/receipt	Sun Mar 10 08:22:23 2019 +0100
     1.3 @@ -1,29 +1,32 @@
     1.4  # SliTaz package receipt.
     1.5  
     1.6  PACKAGE="gummi"
     1.7 -VERSION="0.6.1"
     1.8 +VERSION="0.6.6"
     1.9  CATEGORY="office"
    1.10 +TAGS"editor LaTeX"
    1.11  SHORT_DESC="LaTeX editor designed with simplicity in mind."
    1.12  MAINTAINER="pankso@slitaz.org"
    1.13  LICENSE="MIT"
    1.14 +WEB_SITE="https://github.com/alexandervdm/gummi"
    1.15 +
    1.16  TARBALL="$PACKAGE-$VERSION.tar.gz"
    1.17 -WEB_SITE="https://github.com/alexandervdm/gummi"
    1.18 -WGET_URL="http://dev.midnightcoding.org/attachments/download/239/$TARBALL"
    1.19 +WGET_URL="https://github.com/alexandervdm/$PACKAGE/releases/download/$VERSION/$TARBALL"
    1.20  
    1.21  DEPENDS="gtk+ gtksourceview gtkspell poppler"
    1.22 -BUILD_DEPENDS="gtk+-dev gtksourceview-dev gtkspell-dev intltool poppler-dev glib"
    1.23 +BUILD_DEPENDS="glib gtk+-dev gtksourceview-dev gtkspell-dev intltool poppler-dev"
    1.24  
    1.25  # Rules to configure and make the package.
    1.26  compile_rules()
    1.27  {
    1.28  	./configure $CONFIGURE_ARGS &&
    1.29 -	make LDFLAGS="-Wl,--copy-dt-needed-entries -lgthread-2.0" && make install
    1.30 +	make LDFLAGS="-Wl,--copy-dt-needed-entries -lgthread-2.0" -j 1 &&
    1.31 +	make install
    1.32  }
    1.33  
    1.34  # Rules to gen a SliTaz package suitable for Tazpkg.
    1.35  genpkg_rules()
    1.36  {
    1.37  	mkdir -p $fs/usr/share
    1.38 -	cp -a $install/usr/bin $fs/usr
    1.39 -	cp -a $install/usr/share/gummi $fs/usr/share
    1.40 +	cp -a $install/usr/bin		$fs/usr
    1.41 +	cp -a $install/usr/share/gummi	$fs/usr/share
    1.42  }